unit uFloatToStrF;

{ **************************************************************************** }
{ **************************************************************************** }

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Buttons, uHilfe;

type
  TForm1 = class(TForm)
    PnlUeberschrift: TPanel;
    BtnAusgabe01: TButton;
    BtnAusgabe02: TButton;
    BtnAusgabe03: TButton;
    BtnAusgabe04: TButton;
    BtnAusgabe05: TButton;
    BtnAusgabe06: TButton;
    BtnAusgabe07: TButton;
    BtnAusgabe08: TButton;
    BtnAusgabe09: TButton;
    BtnAusgabe10: TButton;
    BtnAusgabe11: TButton;
    LblAusgabe01: TLabel;
    LblAusgabe02: TLabel;
    LblAusgabe03: TLabel;
    LblAusgabe04: TLabel;
    LblAusgabe05: TLabel;
    LblAusgabe06: TLabel;
    LblAusgabe07: TLabel;
    LblAusgabe08: TLabel;
    LblAusgabe09: TLabel;
    LblAusgabe10: TLabel;
    LblAusgabe11: TLabel;
    MemEinleitung: TMemo;
    LblLeitfrage: TLabel;
    BitBtnAlleAufloesen: TBitBtn;
    BitBtnZuruecksetzen: TBitBtn;
    BitBtnSchliessen: TBitBtn;
    BitBtnInfo: TBitBtn;
    GrpBoxReferenz: TGroupBox;
    GrpBoxffGeneral: TGroupBox;
    GrpBoxffFixed: TGroupBox;
    GrpBoxffExponent: TGroupBox;
    GrpBoxffNumber: TGroupBox;
    GrpBoxffCurrency: TGroupBox;
    BitBtnHilfe: TBitBtn;
    procedure BtnAusgabe01Click(Sender: TObject);
    procedure BtnAusgabe02Click(Sender: TObject);
    procedure BtnAusgabe03Click(Sender: TObject);
    procedure BtnAusgabe04Click(Sender: TObject);
    procedure BtnAusgabe05Click(Sender: TObject);
    procedure BtnAusgabe06Click(Sender: TObject);
    procedure BtnAusgabe07Click(Sender: TObject);
    procedure BtnAusgabe08Click(Sender: TObject);
    procedure BtnAusgabe09Click(Sender: TObject);
    procedure BtnAusgabe10Click(Sender: TObject);
    procedure BtnAusgabe11Click(Sender: TObject);
    procedure BitBtnInfoClick(Sender: TObject);
    procedure BitBtnSchliessenClick(Sender: TObject);
    procedure BitBtnAlleAufloesenClick(Sender: TObject);
    procedure BitBtnZuruecksetzenClick(Sender: TObject);
    procedure BitBtnHilfeClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

const
  a = 1000*Pi;

var
  Form1: TForm1;

{ **************************************************************************** }
{ **************************************************************************** }

implementation

{$R *.dfm}



{ **************************************************************************** }

procedure TForm1.BtnAusgabe01Click(Sender: TObject);
begin
  LblAusgabe01.Caption := FloatToStr(a);
end;

{ **************************************************************************** }

procedure TForm1.BtnAusgabe02Click(Sender: TObject);
begin
  LblAusgabe02.Caption := FloatToStrF(a,ffGeneral,8,0);
end;

{ **************************************************************************** }

procedure TForm1.BtnAusgabe03Click(Sender: TObject);
begin
  LblAusgabe03.Caption := FloatToStrF(a,ffGeneral,4,0);
end;

{ **************************************************************************** }

procedure TForm1.BtnAusgabe04Click(Sender: TObject);
begin
  LblAusgabe04.Caption := FloatToStrF(a,ffExponent,8,3);
end;

{ **************************************************************************** }

procedure TForm1.BtnAusgabe05Click(Sender: TObject);
begin
  LblAusgabe05.Caption := FloatToStrF(a,ffExponent,4,2);
end;

{ **************************************************************************** }

procedure TForm1.BtnAusgabe06Click(Sender: TObject);
begin
  LblAusgabe06.Caption := FloatToStrF(a,ffFixed,8,3);
end;

{ **************************************************************************** }

procedure TForm1.BtnAusgabe07Click(Sender: TObject);
begin
  LblAusgabe07.Caption := FloatToStrF(a,ffFixed,4,2);
end;

{ **************************************************************************** }

procedure TForm1.BtnAusgabe08Click(Sender: TObject);
begin
  LblAusgabe08.Caption := FloatToStrF(a,ffNumber,8,3);
end;

{ **************************************************************************** }

procedure TForm1.BtnAusgabe09Click(Sender: TObject);
begin
  LblAusgabe09.Caption := FloatToStrF(a,ffNumber,4,2);
end;

{ **************************************************************************** }

procedure TForm1.BtnAusgabe10Click(Sender: TObject);
begin
  LblAusgabe10.Caption := FloatToStrF(a,ffCurrency,8,2);
end;

{ **************************************************************************** }

procedure TForm1.BtnAusgabe11Click(Sender: TObject);
begin
  LblAusgabe11.Caption := FloatToStrF(a,ffCurrency,4,2);
end;

{ **************************************************************************** }

procedure TForm1.BitBtnAlleAufloesenClick(Sender: TObject);
begin
  BtnAusgabe01Click(Self);
  BtnAusgabe02Click(Self);
  BtnAusgabe03Click(Self);
  BtnAusgabe04Click(Self);
  BtnAusgabe05Click(Self);
  BtnAusgabe06Click(Self);
  BtnAusgabe07Click(Self);
  BtnAusgabe08Click(Self);
  BtnAusgabe09Click(Self);
  BtnAusgabe10Click(Self);
  BtnAusgabe11Click(Self);
end;

{ **************************************************************************** }

procedure TForm1.BitBtnZuruecksetzenClick(Sender: TObject);
begin
  LblAusgabe01.Caption := '---';
  LblAusgabe02.Caption := '---';
  LblAusgabe03.Caption := '---';
  LblAusgabe04.Caption := '---';
  LblAusgabe05.Caption := '---';
  LblAusgabe06.Caption := '---';
  LblAusgabe07.Caption := '---';
  LblAusgabe08.Caption := '---';
  LblAusgabe09.Caption := '---';
  LblAusgabe10.Caption := '---';
  LblAusgabe11.Caption := '---';
end;

{ **************************************************************************** }

procedure TForm1.BitBtnHilfeClick(Sender: TObject);
begin
  { Koordinaten des neuen Formulars definieren }
  Form2.Left := Form1.Left - Form2.Width;
  Form2.Top := Form1.Top;

  { Neues Formular oeffnen (nicht "ShowModal") }
  Form2.Show;
end;

{ **************************************************************************** }

procedure TForm1.BitBtnInfoClick(Sender: TObject);
begin
  MessageDlg('FloatToStrF-Demo (V1.0)' + #13 +
    'Demonstrationsprogramm zum Delphi-Befehl "FloatToStrF".' + #13 + #13 +
    'M. Zirbes, 2010' + #13 + #13 +
    'Bei diesem Programm handelt es sich um Freeware,' + #13 +
    'd.h. es steht zur kostenlosen Nutzung frei zur Verfgung' + #13 +
    'und darf ohne Entgelt vervielfltigt und verbreitet werden.' + #13 + #13 +
    'Kontakt: schule@mijozi.de',mtInformation,[mbOK],0);
end;

{ **************************************************************************** }

procedure TForm1.BitBtnSchliessenClick(Sender: TObject);
begin
  Close;
end;

{ **************************************************************************** }
{ **************************************************************************** }

end.

